### Enumeration

# Qmi VoiceSupplementaryServiceReason

since: 1.30

#### Declaration

    enum Qmi.VoiceSupplementaryServiceReason

#### Description [src]

Supplementary service reason.

Available since: 1.30

#### Members

`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_UNCONDITIONAL`

  Unconditional call forward.

  - Value: `1`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_MOBILE_BUSY`

  Forward when mobile is busy.

  - Value: `2`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_NO_REPLY`

  Forward when no reply.

  - Value: `3`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_UNREACHABLE`

  Forward when call is unreachable.

  - Value: `4`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_ALL`

  Forward all calls.

  - Value: `5`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_ALL_CONDITIONAL`

  Forward all calls conditionally.

  - Value: `6`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_ALL_OUTGOING`

  All outgoing.

  - Value: `7`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_OUTGOING_INTERNAL`

  Outgoing Internal.

  - Value: `8`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_OUTGOING_INTERNAL_EXTERNAL_TO_HOME`

  Outgoing internal/external to home.

  - Value: `9`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_ALL_INCOMING`

  All incoming.

  - Value: `10`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_INCOMING_ROAMING`

  Roaming incoming.

  - Value: `11`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_BAR_ALL`

  All calls are barred.

  - Value: `12`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_BAR_ALL_OUTGOING`

  All outgoing calls are barred.

  - Value: `13`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_BAR_ALL_INCOMING`

  All incoming calls are barred.

  - Value: `14`
  - Available since: 1.30
`QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_CALL_WAITING`

  Call waiting.

  - Value: `15`
  - Available since: 1.30

#### Type functions

###### qmi_voice_supplementary_service_reason_get_string

Gets the nickname string for the `QmiVoiceSupplementaryServiceReason` specified at `val`.

since: 1.30